Uses of Class
com.eqixiac.equinix.core.http.request.PatchOperation
Packages that use PatchOperation
Package
Description
Core client infrastructure for the Equinix Java SDK.
HTTP request model for the Equinix Java SDK.
Public Fabric Beta client interfaces: the
FabricBeta hub and one client per family.Implementations of the Fabric Beta clients.
Internal transport helpers shared by the Fabric Beta clients; not part of the public API.
-
Uses of PatchOperation in com.eqixiac.equinix.core.client
Method parameters in com.eqixiac.equinix.core.client with type arguments of type PatchOperationModifier and TypeMethodDescriptionprotected JResourceClientBase.dryRunPatch(String serviceEndpoint, String uuid, List<PatchOperation> operations) Dry-run variant ofResourceClientBase.patchOne(String, String, List): sends the identical RFC 6902 JSON Patch request (sameapplication/json-patch+jsoncontent type) plus thedryRun=truequery parameter - per the spec, an "option to verify that API calls will succeed".protected JResourceClientBase.patchOne(String serviceEndpoint, String uuid, List<PatchOperation> operations) PATCH a resource by uuid with an RFC 6902 JSON Patch operations array, sent with content-typeapplication/json-patch+json.protected JResourceClientBase.patchOne(String serviceEndpoint, Map<String, String> pathParams, List<PatchOperation> operations) -
Uses of PatchOperation in com.eqixiac.equinix.core.http.request
Methods in com.eqixiac.equinix.core.http.request that return PatchOperationModifier and TypeMethodDescriptionstatic PatchOperationCreates anaddoperation, addingvalueatpath.static PatchOperationCreates aremoveoperation, removing the member atpath.static PatchOperationCreates areplaceoperation, settingpathtovalue. -
Uses of PatchOperation in com.eqixiac.equinix.fabric.beta.client
Method parameters in com.eqixiac.equinix.fabric.beta.client with type arguments of type PatchOperationModifier and TypeMethodDescriptionAppDomains.update(String appDomainId, List<PatchOperation> operations) Update Domain:PATCH /fabric/v4/appDomains/{appDomainId}(operationupdateAppDomainByUuid).AppLinks.update(String appLinkId, List<PatchOperation> operations) Update Link:PATCH /fabric/v4/appLinks/{appLinkId}(operationupdateAppLinkByUuid).AppServices.update(String appServiceId, List<PatchOperation> operations) Update Service:PATCH /fabric/v4/appServices/{appServiceId}(operationupdateAppServiceByUuid).AppSubscriptions.update(String appSubscriptionId, List<PatchOperation> operations) Update Subscription:PATCH /fabric/v4/appSubscriptions/{appSubscriptionId}(operationupdateAppSubscriptionByUuid).Asns.update(String asnId, List<PatchOperation> operations) Update ASN:PATCH /fabric/v4/asns/{asnId}(operationpatchAsnById).ExchangeServices.update(String exchangeServiceId, List<PatchOperation> operations) Update Internet Exchange Service:PATCH /fabric/v4/exchangeServices/{exchangeServiceId}(operationupdateExchangeServiceById).Loas.update(String loaId, List<PatchOperation> operations) Update Loa:PATCH /fabric/v4/loas/{loaId}(operationupdateLoaByUuid).AppLinks.updateAppServiceAttachment(String appLinkId, String appServiceId, List<PatchOperation> operations) Update Service Attachment for Link:PATCH /fabric/v4/appLinks/{appLinkId}/appServices/{appServiceId}(operationupdateAppServiceAttachmentToAppLink). -
Uses of PatchOperation in com.eqixiac.equinix.fabric.beta.client.implementation
Method parameters in com.eqixiac.equinix.fabric.beta.client.implementation with type arguments of type PatchOperationModifier and TypeMethodDescriptionAppDomainsImpl.update(String appDomainId, List<PatchOperation> operations) AppLinksImpl.update(String appLinkId, List<PatchOperation> operations) AppServicesImpl.update(String appServiceId, List<PatchOperation> operations) AppSubscriptionsImpl.update(String appSubscriptionId, List<PatchOperation> operations) AsnsImpl.update(String asnId, List<PatchOperation> operations) ExchangeServicesImpl.update(String exchangeServiceId, List<PatchOperation> operations) LoasImpl.update(String loaId, List<PatchOperation> operations) AppLinksImpl.updateAppServiceAttachment(String appLinkId, String appServiceId, List<PatchOperation> operations) -
Uses of PatchOperation in com.eqixiac.equinix.fabric.beta.client.internal
Method parameters in com.eqixiac.equinix.fabric.beta.client.internal with type arguments of type PatchOperation -
Uses of PatchOperation in com.eqixiac.equinix.fabric.client.internal
Method parameters in com.eqixiac.equinix.fabric.client.internal with type arguments of type PatchOperationModifier and TypeMethodDescriptionConnectionClient.dryRunUpdate(String uuid, List<PatchOperation> operations) Dry-run variant ofConnectionClient.update(String, List): sends the same JSON Patch toPATCH /fabric/v4/connections/{uuid}withdryRun=true- per the Fabric v4 spec, an "option to verify that API calls will succeed".PortClient.dryRunUpdate(String uuid, List<PatchOperation> operations) Validate-only variant ofPortClient.update(String, List)(PATCH /fabric/v4/ports/{uuid}?dryRun=true; spec: "option to verify that API calls will succeed").ServiceTokenClient.dryRunUpdate(String uuid, List<PatchOperation> operations) Dry-run variant ofServiceTokenClient.update(String, List): sends the same change-operations array toPATCH /fabric/v4/serviceTokens/{uuid}withdryRun=true- per the Fabric v4 spec, an "option to verify that API calls will succeed".AgentClient.update(String uuid, List<PatchOperation> operations) CloudRouterClient.update(String uuid, List<PatchOperation> operations) ConnectionClient.update(String uuid, List<PatchOperation> operations) EiaServiceClient.update(String uuid, List<PatchOperation> operations) IpBlockClient.update(String uuid, List<PatchOperation> operations) NetworkClient.update(String uuid, List<PatchOperation> operations) PortClient.update(String uuid, List<PatchOperation> operations) Updates a port by uuid with a JSON Patch operations array (PATCH /fabric/v4/ports/{uuid}).PrecisionTimeClient.update(String uuid, List<PatchOperation> operations) RouteAggregationClient.update(String uuid, List<PatchOperation> operations) RouteAggregationRuleClient.update(String routeAggregationId, String uuid, List<PatchOperation> operations) RouteFilterClient.update(String uuid, List<PatchOperation> operations) RouteFilterRuleClient.update(String routeFilterId, String uuid, List<PatchOperation> operations) RoutingProtocolClient.update(String connectionId, String uuid, List<PatchOperation> operations) ServiceProfileClient.update(String uuid, List<PatchOperation> operations) ServiceTokenClient.update(String uuid, List<PatchOperation> operations) -
Uses of PatchOperation in com.eqixiac.equinix.fabric.client.internal.implementation
Method parameters in com.eqixiac.equinix.fabric.client.internal.implementation with type arguments of type PatchOperationModifier and TypeMethodDescriptionConnectionClientImpl.dryRunUpdate(String uuid, List<PatchOperation> operations) PortClientImpl.dryRunUpdate(String uuid, List<PatchOperation> operations) PATCH /fabric/v4/ports/{uuid}?dryRun=true(spec: "option to verify that API calls will succeed").ServiceTokenClientImpl.dryRunUpdate(String uuid, List<PatchOperation> operations) AgentClientImpl.update(String uuid, List<PatchOperation> operations) CloudRouterClientImpl.update(String uuid, List<PatchOperation> operations) ConnectionClientImpl.update(String uuid, List<PatchOperation> operations) EiaServiceClientImpl.update(String uuid, List<PatchOperation> operations) IpBlockClientImpl.update(String uuid, List<PatchOperation> operations) NetworkClientImpl.update(String uuid, List<PatchOperation> operations) PortClientImpl.update(String uuid, List<PatchOperation> operations) PrecisionTimeClientImpl.update(String uuid, List<PatchOperation> operations) RouteAggregationClientImpl.update(String uuid, List<PatchOperation> operations) RouteAggregationRuleClientImpl.update(String routeAggregationId, String uuid, List<PatchOperation> operations) RouteFilterClientImpl.update(String uuid, List<PatchOperation> operations) RouteFilterRuleClientImpl.update(String routeFilterId, String uuid, List<PatchOperation> operations) RoutingProtocolClientImpl.update(String connectionId, String uuid, List<PatchOperation> operations) ServiceProfileClientImpl.update(String uuid, List<PatchOperation> operations) ServiceTokenClientImpl.update(String uuid, List<PatchOperation> operations) -
Uses of PatchOperation in com.eqixiac.equinix.fabric.model.json.creators
Methods in com.eqixiac.equinix.fabric.model.json.creators with parameters of type PatchOperationModifier and TypeMethodDescriptionAgentOperator.AgentUpdater.patch(PatchOperation operation) CloudRouterOperator.CloudRouterUpdater.patch(PatchOperation operation) Adds an arbitrary JSON Patch operation, for paths not covered by the typed setters above.ConnectionOperator.ConnectionUpdater.patch(PatchOperation operation) EiaServiceOperator.EiaServiceUpdater.patch(PatchOperation operation) Adds an arbitrary change operation, for paths not covered by the typed setters above.IpBlockOperator.IpBlockUpdater.patch(PatchOperation operation) NetworkOperator.NetworkUpdater.patch(PatchOperation operation) Adds an arbitrary JSON Patch operation, for paths not covered by the typed setters above.PortOperator.PortUpdater.patch(PatchOperation operation) Adds an arbitrary change operation, for paths not covered by the typed setters above.PrecisionTimeOperator.PrecisionTimeUpdater.patch(PatchOperation operation) Adds an arbitrary JSON Patch operation, for paths not covered by the typed setters above (e.g.RouteAggregationOperator.RouteAggregationUpdater.patch(PatchOperation operation) Adds an arbitrary change operation, for paths not covered by the typed setters above.RouteAggregationRuleOperator.RouteAggregationRuleUpdater.patch(PatchOperation operation) Adds an arbitrary change operation, for paths not covered by the typed setters above.RouteFilterOperator.RouteFilterUpdater.patch(PatchOperation operation) Adds an arbitrary change operation, for paths not covered by the typed setters above.RouteFilterRuleOperator.RouteFilterRuleUpdater.patch(PatchOperation operation) Adds an arbitrary change operation, for paths not covered by the typed setters above.RoutingProtocolOperator.RoutingProtocolUpdater.patch(PatchOperation operation) Adds an arbitrary change operation, for paths not covered by the typed setters above.ServiceProfileOperator.ServiceProfileUpdater.patch(PatchOperation operation) ServiceTokenOperator.ServiceTokenUpdater.patch(PatchOperation operation)